summaryrefslogtreecommitdiffstats
path: root/build-gluster-org/scripts/gd2-smoke.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-gluster-org/scripts/gd2-smoke.sh')
-rw-r--r--build-gluster-org/scripts/gd2-smoke.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/build-gluster-org/scripts/gd2-smoke.sh b/build-gluster-org/scripts/gd2-smoke.sh
index 85db9bf..799fdf7 100644
--- a/build-gluster-org/scripts/gd2-smoke.sh
+++ b/build-gluster-org/scripts/gd2-smoke.sh
@@ -2,8 +2,16 @@
set -e
+JDIRS="/var/log/glusterfs /var/lib/glusterd /var/lib/glusterd/groups/virt /var/run/gluster /d /d/archived_builds /d/backends /d/build /d/logs /home/jenkins/root /build/*"
+sudo mkdir -p $JDIRS
+echo Return code = $?
+sudo chown -RH jenkins:jenkins $JDIRS
+echo Return code = $?
+sudo chmod -R 755 $JDIRS
+echo Return code = $?
+
# build the glusterfs source code
/opt/qa/build.sh
-# run gd2 unit tests script
+# run gd2 tests script
/opt/qa/glusterd2-test.sh